Subject: Re: bug#63731: [PATCH] Support Emoji Variation Sequence 16 (FE0F) where appropriate

From: Robert Pluim <[email-masked]>
Date: Mon, 05 Jun 2023 15:08:08 +0200

>>>>> On Sat, 03 Jun 2023 08:36:59 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Cc: [email-masked],  [email-masked]
    >> Date: Fri, 02 Jun 2023 15:58:37 +0200
    >> 
    Eli> What does HarfBuzz's hb-view do with such sequences, when using Noto
    Eli> Color Emoji font?
    >> 
    >> Sequence       Font             Result
    >> 23e9 fe0e      system           black box
    >> 23e9 fe0e      Symbola          correct text representation
    >> 23e9 fe0e      NotoEmoji        correct text representation
    >> 23e9 fe0e      NotoColorEmoji   blank
    >> 
    >> And on emacs-29, Symbola and NotoEmoji compose that sequence
    >> correctly. Now I just need to persuade emacs-30 to use one of them.

    Eli> So you are saying that, in our default fontset, we should specify that
    Eli> #xFE0E should be displayed by Noto Emoji (with Symbola as fallback),
    Eli> and then make sure that font_range uses the same font for the likes of
    Eli> #x23E9?  IOW, specify a different font for VS-15 even though is script
    Eli> is 'emoji'?

Yes, that works (and we can remove VS-15 and VS-16 from the emoji
script, so that theyʼll then be displayed via
`glyphless-char-display-control' when theyʼre on their own).

Thanks for the suggestion Eli, I was looking at it from the wrong
direction.

Robert
--